Subject: comments on IPLPDN wg
From: George Clapp <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 19 Nov 90 17:45:44 CST

I've been out of town for a week and was unable to read my email until today.
I'd like to respond to a few of the comments.

First, the IPLPDN working group will meet Wednesday morning and afternoon,
Dec. 5.  This will be first meeting of the group.  The IP over SMDS working
group will meet Tuesday morning and afternoon, Dec. 4, space permitting.
Megan has told me that the revised IETF agenda will be distributed this
afternoon.  Agendas for the two working groups will be distributed before
the end of week.

Concerning the acronym, we had a tough time generating a pronounceable
acronym as well.  I don't even try to pronounce it but simply spell it out.

I also support Kent's idea of merging the smds, frame-relay, and pdnrout
mailing lists into the iplpdn list.

About Philip's concerns over the explosion of working groups, I think
that the IP over SMDS group will dissolve and the remaining issues
will be discussed in the IPLPDN group.

A comment by Andy Malis:
> In the public arena,
> both Sprint and NYNEX are building public FR nets even as we
> type.  Other RBOCs and IEX carriers may also have work underway,
> but just haven't yet announced anything.

The regions are much more visibly active with respect to SMDS.  An example
was the SMDS demo at Interop 90, in which NYNEX, Bell South, Pacific Bell,
and Southwest Bell demo'd a nationwide SMDS network.  Also, Bellcore
has issued Technical Advisories (technical specifications for a service)
for SMDS covering the user-to-network interface, operations, and physical
transport.  Technical Advisories on the inter-switching system interface
and the interexchange carrier interface (internal network interfaces)
will be released soon.  There is nothing equivalent for frame relay.

Philip Prindeville says:
> Well, what about IEEE SNAP encapsulation?  802.6 uses it...

Both SMDS and 802.6 use SNAP encapsulation.  The following is taken
from the IP over SMDS internet draft.

                       _____________________
                             IP/ARP
                       _____________________
                       IEEE 802.2 LLC/SNAP
                       _____________________
                        SIP LEVEL 3 (MAC)
                       _____________________
                           SIP LEVEL 2
                       _____________________
                           SIP LEVEL 1
                       _____________________

 +--------+--------+---------+--------+--------+
 |Protocol Id/ Org Code = K2 |    EtherType    |   IEEE 802.1A SNAP
 +--------+--------+---------+--------+--------+

 +--------+--------+--------+
 |DSAP=K1 |SSAP=K1 |Control |                        IEEE 802.2 LLC
 +--------+--------+--------+

 ...--------+--------+--------+--------+
   SMDS Level 3 Protocol Header       |               SMDS Level 3
 ...--------+--------+--------+--------+

   o The total length of the LLC Header and the SNAP header is  8
     octets.
   o The value of K2 in the SNAP header is 0 (zero).
   o The EtherType for IP is Internet decimal 2048. The EtherType
     for ARP is Internet decimal 2054.
   o The value of K1 in the LLC header is Internet decimal 170.
   o The control  value  in  the  LLC  header  is  3  (Unnumbered
     Information).

The 802.6 working group is taking the same approach for remote LAN
interconnection.  802.1 has agreed to allocate code points within
their Organizationally Unique Identifier (OUI, or Org Code) EtherType
field for all of the 802 working groups, including 802.6.  Also, 802.6 has
been given a chunk of the EtherType (or PID, in 802.1-talk) address space
for their own use.

George Clapp
phone: 708-806-8318
fax:   708-806-8292
email: [email-masked]
       [email-masked]